#ifndef _IMG_ELLIPSE_
#define _IMG_ELLIPSE_
#include "Share.h"

class THIImg_Ellipse:public TDebug
{
   private:
     HWND lps;
   public:
    int _prop_BgColor;
    int _prop_Style;
     int _prop_Color;
     int _prop_X1;
     int _prop_Y1;
     int _prop_X2;
     int _prop_Y2;
     int _prop_Size;
     bool _prop_Point2AsOffset;
    THI_Event *_data_Handle; 
    THI_Event *_data_X1;
    THI_Event *_data_Y1;
    THI_Event *_data_X2;
    THI_Event *_data_Y2;
    THI_Event *_data_Size;   
    THI_Event *_data_Color;
    THI_Event *_data_BgColor;
    THI_Event *_event_onDraw;
    
     HI_WORK_LOC(THIImg_Ellipse,_work_doDraw)
           {  
          lps =(HWND) ReadInteger(_Data,_data_Handle,0); 
         HDC dc;
         dc = GetDC( lps );
               int x1 = ReadInteger(_Data,_data_X1,_prop_X1);
               int y1 = ReadInteger(_Data,_data_Y1,_prop_Y1);
               int x2 = ReadInteger(_Data,_data_X2,_prop_X2);
               int y2 = ReadInteger(_Data,_data_Y2,_prop_Y2);
               if( _prop_Point2AsOffset )
     x2 += x1,y2 += y1;
        HPEN pen = CreatePen(0,ReadInteger(_Data,_data_Size,_prop_Size),ReadColor(_Data,_data_Color,_prop_Color));
   HBRUSH br;
   if( _prop_Style == 1 )
      br = CreateSolidBrush(ReadColor(_Data,_data_BgColor,_prop_BgColor));
   else br = (HBRUSH)GetStockObject(NULL_BRUSH);
   SelectObject(dc,br);
   SelectObject(dc,pen);
   Ellipse(dc,x1,y1,x2,y2);
   DeleteObject(br);
   DeleteObject(pen);
   ReleaseDC(lps, dc);
   _hi_CreateEvent(_Data,_event_onDraw);       
        }
};
#endif
////////////////////////////////////////////////////////////

